cdac.medinfo.sdk.hl7282.hl7model.messages.materialsmanagement

## Class SMD_S32

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.materialsmanagement.SDR_S32_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.materialsmanagement.SMD_S32

-     public final class SMD_S32
      extends SDR_S32_Common

  SMD_S32 - Request Anti-Microbial Device Cycle Data (Event S32). This trigger event is sent by the placer application to the filler application to request anti-microbial device cycle data created during the decontamination/sterilization of medical supplies.

  Represents a SDR_S32 message structure (see chapter 17.5.5). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: ANTI-MICROBIAL_DEVICE_CYCLE_DATA (a Group of segments in SMD_S32 message) MULTIPLE_COMPULSARY
  The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  SMD_S32 objS32 = (SMD_S32)MessageFactory.createInstance().createSendSupportedMessage("SMD", "S32");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.materialsmanagement.SDR_S32_Common

      `addAntiMicrobialDeviceCycleDataGroup, addAntiMicrobialDeviceCycleDataGroups, addSoftwareSegment, addSoftwareSegment, getAntiMicrobialDeviceCycleDataGroups, getSoftwareSegments, getUserAuthenticationCredentialSegment, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`